Mattermost, Inc.

[SOLVED] Upgrade attempt from 3.5.1 fails with " [CRIT] Failed to create index Error 1071: Specified key was too long; max key length is 767 bytes "

OS: Red Hat Enterprise Linux Server release 7.3

Logs:

[2017/01/18 21:10:09 EST] [INFO] Current version is 3.6.0 (3.6.0/Thu Jan 12 21:00:08 UTC 2017/aafb8be87c79c60df7534b3b69f967c6301b157
e/0cce9c15a3a5411cca6ca90164e94a666bd4b94a)
[2017/01/18 21:10:09 EST] [INFO] Enterprise Enabled: true
[2017/01/18 21:10:09 EST] [INFO] Current working directory is /opt/mattermost-360/bin
[2017/01/18 21:10:09 EST] [INFO] Loaded config file from /opt/mattermost-360/config/config.json
[2017/01/18 21:10:09 EST] [INFO] Server is initializing...
[2017/01/18 21:10:09 EST] [INFO] Pinging SQL master database
[2017/01/18 21:10:09 EST] [WARN] The database schema version of 3.5.0 appears to be out of date
[2017/01/18 21:10:09 EST] [WARN] Attempting to upgrade the database schema version to 3.6.0
[2017/01/18 21:10:18 EST] [WARN] The database schema has been upgraded to version 3.6.0
[2017/01/18 21:10:18 EST] [CRIT] Failed to create index Error 1071: Specified key was too long; max key length is 767 bytes
[2017/01/18 21:15:12 EST] [INFO] Loaded system translations for 'en' from '/opt/mattermost-360/i18n/en.json'
[2017/01/18 21:15:12 EST] [INFO] Current version is 3.6.0 (3.6.0/Thu Jan 12 21:00:08 UTC 2017/aafb8be87c79c60df7534b3b69f967c6301b157
e/0cce9c15a3a5411cca6ca90164e94a666bd4b94a)
[2017/01/18 21:15:12 EST] [INFO] Enterprise Enabled: true
[2017/01/18 21:15:12 EST] [INFO] Current working directory is /opt/mattermost-360/bin
[2017/01/18 21:15:12 EST] [INFO] Loaded config file from /opt/mattermost-360/config/config.json
[2017/01/18 21:15:12 EST] [INFO] Server is initializing...
[2017/01/18 21:15:12 EST] [INFO] Pinging SQL master database
[2017/01/18 21:15:12 EST] [WARN] The database schema version of 3.5.0 appears to be out of date
[2017/01/18 21:15:12 EST] [WARN] Attempting to upgrade the database schema version to 3.6.0

MySQL backend, specifically:

Server version: 5.6.28-76.1-56-log Percona XtraDB Cluster (GPL), Release rel76.1, Revision f9b078d, WSREP version 25.14, wsrep_25.14

If I use a local mariadb (mariadb-server-5.5.52-1.el7.x86_64) the upgrade works fine. I’m a mysqlidiot, unfortunately, so any hints here would be greatly appreciated.

Thanks!

Hi @YoungCurmudgeon - are you trying to upgrade to v3.6.0 or v3.6.1?

I think there was an issue with upgrade on some databases, but we put a fix in v3.6.1 so can you see if that works and let us know?

That was actually 3.5.1 to 3.6.0, but yes, thank you for linking me to that issue–that looks like mine.